cupstestppd(1)

NOME
cupstestppd - testa conformidade de ficheiros ppd (descontinuado)

RESUMO
cupstestppd [ -I category ] [ -R rootdir ] [ -W category ] [ -q ] [ -r ] [ -v[v] ] filename.ppd[.gz] [ ... filename.ppd[.gz] ]
cupstestppd [ -R rootdir ] [ -W category ] [ -q ] [ -r ] [ -v[v] ] -

DESCRIÇÃO
cupstestppd testa a conformidade de ficheiros PPD para a especificação de formato de ficheiro Adobe PostScript Printer Description versão 4.3. Também pode ser usado para listar as opções suportadas e fonts disponíveis num ficheiro PPD. O resultado do teste e quaisquer outros resultados são enviados para a saída standard.

A primeira forma de cupstestppd testa um ou mais ficheiros PPD na linha de comandos. A segunda forma testa o ficheiro PPD fornecido na entrada standard.

OPÇÕES
cupstestppd suporta as seguintes opções:

-I filename
    Ignora todos os avidos PCFileName.

-I filters
    Ignora todos os erros de filtros.

-I profiles
    Ignora todos os erros de perfil.

-R rootdir
    Especifica um directório raiz alternativo para o filtro, pré-filtro, e outras verificações de ficheiro de suporte.

-W constraints
    Reporta todos os erros UIConstraint como avisos.

-W defaults
    Excepto para opções relacionadas com tamanho, reporta todos os erros de opção predefinida como avisos,

-W filters
    Reporta todos os erros de filtros como avisos.

-W profiles
    Reporta todos os erros de perfis como avisos.

-W sizes
    Reporta todos os erros de tamanho de media como avisos.

-W translations
    Reporta todos os erros de tradução como avisos.

-W all
    Reporta todos os erros anteriores como avisos.

-W none
    Reporta todos os erros anteriores como erros.

-q  Especifica que não deve ser mostrada nenhuma informação.

-r  Relaxa os requerimentos da conformidade PPD para que os espaços em branco comuns, os caracteres de controle, e problemas de formatação não sejam tratados como grandes erros.

-v  Especifica que devem ser mostrados resultados detalhados do teste de conformidade em vez do estado PASSOU/FALHOU/ERRO conciso.

-vv Especifica que toda a informação no ficheiro PPD deve ser mostrada em adição aos resultados do teste de conformidade detalhados.

As opções -q, -v, e -vv são mutuamente exclusivas.

ESTADO DE SAÍDA
cupstestppd retorna zero em sucesso e não-zero em erro. Os códigos de erro são os seguintes:

1   Maus argumentos de linha de comandos ou nome de ficheiro PPD em falta.

2   Incapaz de abrir ou ler ficheiro PPD.

3   O ficheiro PPD contém erros de formato que não podem ser saltados.

4   O ficheiro PPD não está em conformidade com a especificação Adobe PPD.

EXEMPLOS
O seguinte comando irá testar todos os ficheiros PPD sob o directório actual e escrever os nomes de cada ficheiro que não estiver conforme:

    find . -name \*.ppd \! -exec cupstestppd -q '{}' \; -print

O próximo comando testa todos os ficheiros PPD sob o directório actual e escreve resultados de testes de conformidade detalhados para os ficheiros que não estão em conformidade.

    find . -name \*.ppd \! -exec cupstestppd -q '{}' \; \
        -exec cupstestppd -v '{}' \;

NOTAS
Ficheiros PPD estão descontinuados e não irão ser mais suportados num futuro lançamento do CUPS. Impressoras que não suportem IPP podem ser suportadas usando aplicações como a ippeveprinter(1).

VEJA TAMBÉM
lpadmin(8), Ajuda Online do CUPS (http://localhost:631/help), Especificação de Formato de Ficheiro de Descrição de Impressora PostScript da Adobe, Versão 4.3.

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.